Package org.apache.wiki.htmltowiki.syntax

## Class MarkupHelper

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.MarkupHelper

    public class MarkupHelper
    extends java.lang.Object

Wiki syntax helper operations

### Constructor Summary

Constructors
`MarkupHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `augmentedWikiLinkMapToString​(java.util.Map<java.lang.String,​java.lang.String> attributesMap)` Converts the entries in the map to a string for use in a wiki link.
`static java.util.Map<java.lang.String,​java.lang.String>` `getAugmentedWikiLinkAttributes​(org.jdom2.Element a)` Returns a Map containing the valid augmented wiki link attributes.
`static boolean` `isFootnoteLink​(java.lang.String ref)` Checks if the link points to a footnote.
`static boolean` `isHtmlBaseDiv​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
`static boolean` `isHtmlBaseSpan​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
`static boolean` `isUndefinedPageLink​(org.jdom2.Element a)` Checks if the link points to an undefined page.
`static java.lang.String` `nameSansNbf​(org.jdom2.Element e)`
`static void` `printUnescaped​(java.io.PrintWriter out, java.lang.String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkupHelper

    public MarkupHelper()

### Method Detail

#### printUnescaped

    public static void printUnescaped​(java.io.PrintWriter out,
                                      java.lang.String s)

#### isFootnoteLink

    public static boolean isFootnoteLink​(java.lang.String ref)

Checks if the link points to a footnote.

#### isUndefinedPageLink

    public static boolean isUndefinedPageLink​(org.jdom2.Element a)

Checks if the link points to an undefined page.

#### isHtmlBaseDiv

    public static boolean isHtmlBaseDiv​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)

#### isHtmlBaseSpan

    public static boolean isHtmlBaseSpan​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)

#### getAugmentedWikiLinkAttributes

    public static java.util.Map<java.lang.String,​java.lang.String> getAugmentedWikiLinkAttributes​(org.jdom2.Element a)

Returns a Map containing the valid augmented wiki link attributes.

#### augmentedWikiLinkMapToString

    public static java.lang.String augmentedWikiLinkMapToString​(java.util.Map<java.lang.String,​java.lang.String> attributesMap)

Converts the entries in the map to a string for use in a wiki link.

#### nameSansNbf

    public static java.lang.String nameSansNbf​(org.jdom2.Element e)